Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.form
Class FormComponentTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.tonbeller.wcf.component.ComponentTag
              com.tonbeller.wcf.form.FormComponentTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class FormComponentTag
extends ComponentTag

creates a FormComponent

Author:
  av
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`FormComponentTag()`

Method Summary
`Component` | `createComponent(RequestContext context)` loads a form from an xml file and registeres it with the controller.
`protected FormComponent` | `createFormComponent(RequestContext context, java.lang.String id, org.w3c.dom.Document doc, java.lang.Object bean)`
`java.lang.String` | `getBundle()`
`java.lang.String` | `getModel()`
`java.lang.String` | `getXmlUri()`
`boolean` | `isFinishButton()`
`protected org.w3c.dom.Document` | `parseDocument(RequestContext context, java.lang.String xmlUri)`
`void` | `setBookmarkable(boolean b)`
`void` | `setBundle(java.lang.String bundle)`
`void` | `setFinishButton(boolean finishButton)`
`void` | `setModel(java.lang.String model)`
`void` | `setXmlUri(java.lang.String xmlUri)`

Methods inherited from class com.tonbeller.wcf.component.ComponentTag
`doEndTag, doStartTag, getComponent, isObjectCreated, setRole, setValidate, setVisible`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormComponentTag

    public FormComponentTag()

Method Detail

### createComponent

    public Component createComponent(RequestContext context)
                              throws javax.servlet.jsp.JspException

  loads a form from an xml file and registeres it with the controller.

  Specified by:
    `createComponent` in class `ComponentTag`
  Returns:
    the object that will be placed into the session
  Throws:
    `javax.servlet.jsp.JspException`

### createFormComponent

    protected FormComponent createFormComponent(RequestContext context,
                                                java.lang.String id,
                                                org.w3c.dom.Document doc,
                                                java.lang.Object bean)

### parseDocument

    protected org.w3c.dom.Document parseDocument(RequestContext context,
                                                 java.lang.String xmlUri)
                                          throws java.net.MalformedURLException,
                                                 java.util.MissingResourceException

  Throws:
    `java.net.MalformedURLException`
    `java.util.MissingResourceException`

### getXmlUri

    public java.lang.String getXmlUri()

### setXmlUri

    public void setXmlUri(java.lang.String xmlUri)

### getModel

    public java.lang.String getModel()

### setModel

    public void setModel(java.lang.String model)

### setBookmarkable

    public void setBookmarkable(boolean b)

### setBundle

    public void setBundle(java.lang.String bundle)

### isFinishButton

    public boolean isFinishButton()

### setFinishButton

    public void setFinishButton(boolean finishButton)

### getBundle

    public java.lang.String getBundle()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD